Swagger::LicenseObject Class Reference

License information for the exposed API. More...

Inheritance diagram for Swagger::LicenseObject:
[legend]

## Public Member Functions

| constructor (hash oh)
| Constructor. More...
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash oh)
| Constructor. More...
| constructor (ObjectBase other)
| copy constructor
| initialize (hash oh)
| Initialize. More...

## Public Attributes

string | name
| Required. The license name used for the API.
*string | url
| A URL to the license used for the API. MUST be in the format of a URL.
Public Attributes inherited from Swagger::ObjectBase
hash | vendorExtensions
| Allows extensions to the Swagger Schema. More...

## Detailed Description

License information for the exposed API.

## Member Function Documentation

## constructor()

Swagger::LicenseObject::constructor | ( | hash | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description providing license information about the API

Exceptions

  INVALID-FIELD-TYPE | field has invalid type
  REQUIRED-FIELD-MISSING | required field is missing